"""Python client for Unisenza Plus"""

__version__ = "0.12"

__all__ = [
    "Client",
    "create_api",
    "create_client",
    "AuthenticationError",
    "ClientError",
    "Device",
    "DeviceAttributes",
    "DeviceType",
    "Gateway",
    "GatewayAttributes",
    "HvacAttributes",
    "HvacDevice",
    "Occupant",
    "RunningState",
    "SystemMode",
]

from .client import Client, create_api, create_client
from .errors import AuthenticationError, ClientError
from .models import (
    Device,
    DeviceAttributes,
    DeviceType,
    Gateway,
    GatewayAttributes,
    HvacAttributes,
    HvacDevice,
    Occupant,
    RunningState,
    SystemMode,
)
